1.1
1.1
get /v1/servers/{server_id}/console-log
Description
서버 콘솔 로그를 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| query | line_size optional | Number of log lines to get Example : 1 | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerConsoleLogResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/console-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"output": "FAKE CONSOLE OUTPUT"
}